using System;
using Cute;

public class MatchingIntervalActionBase
{
	protected DateTime _startTimer;

	protected Matching _matching;

	protected bool _isActive;

	public MatchingIntervalActionBase(Matching matching)
	{
		_matching = matching;
	}

	public virtual void Start()
	{
		_startTimer = TimeUtil.GetAbsoluteTime();
		_isActive = true;
	}

	public virtual void Stop()
	{
		_isActive = false;
	}

	public virtual void Update()
	{
	}
}
